#include "TableWidget.h"

// Qt.
#include <QTableWidget>
#include <QTableWidgetItem>
#include <QVBoxLayout>
#include <QHeaderView>
#include <QLabel>
#include <QFile>

TableWidget::TableWidget(QWidget *parent) : QWidget(parent)
{
    QTableWidget* table = new QTableWidget(20,1);
    table->setStyleSheet( "QTableView { border: 1px solid #FF0000; border-radius: 3px; }" );

    for ( int i = 0; i < 20; ++i )
    {
        QLabel* label = new QLabel( QString("Row %1").arg(i) );

        table->setRowCount( table->rowCount() + 1 );
        table->setCellWidget( i, 0, label );
        table->setRowHeight( i, 40 );
    }

    QVBoxLayout* layout = new QVBoxLayout;
    layout->addWidget( table );
    setLayout( layout );
}

TableWidget::~TableWidget()
{
    
}
